Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGApi.Services.SnF

Enclosing interface:
  SAGApi.Services

    public static interface SAGApi.Services.SnF

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `checkSnFStatus()` Checks SnF status for the SnF session which is from the last acquire.
`java.lang.String` | `checkSnFStatus(java.lang.String snfSession)` Checks SnF status for the specified SnF session.
`java.lang.String` | `getSnFAcceptStatus()` Gets SnF accept status.
`java.lang.String` | `getSnFRef()` Gets the SnF reference.
`java.lang.String` | `getSnFRefType()` Gets the SnF type.
`java.lang.String` | `getSnFSessionId()` Gets the SnF session ID.
`void` | `snfAck()` Acks the previously-pulled message.
`void` | `snfAcquire()` Acquires SnF queue and opens a SnF session.
`void` | `snfFetch()` Fetches the file from SnF central server.
`void` | `snfPull()` Pulls the next message from queue.
`void` | `snfRelease()` Releases SnF queue and closes the SnF session.

Method Detail

### getSnFSessionId

    java.lang.String getSnFSessionId()

  Gets the SnF session ID.

  Parameters:
    None.

  Returns:
    `String` - Returns the SnF session ID.
  Throws:
    None.

### getSnFRef

    java.lang.String getSnFRef()

  Gets the SnF reference.

  Parameters:
    None.

  Returns:
    `String` - Returns the SnF reference.
  Throws:
    None.

### getSnFRefType

    java.lang.String getSnFRefType()

  Gets the SnF type.

  Parameters:
    None.

  Returns:
    `String` - Returns the SnF type.
  Throws:
    None.

### getSnFAcceptStatus

    java.lang.String getSnFAcceptStatus()

  Gets SnF accept status.

  Parameters:
    None.

  Returns:
    `String` - Returns SnF accept status.
  Throws:
    None.

### snfAcquire

    void snfAcquire()
                    throws SAGApplicationException

  Acquires SnF queue and opens a SnF session.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### snfRelease

    void snfRelease()
                    throws SAGApplicationException

  Releases SnF queue and closes the SnF session.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### snfAck

    void snfAck()
                throws SAGApplicationException

  Acks the previously-pulled message.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### snfPull

    void snfPull()
                 throws SAGApplicationException

  Pulls the next message from queue.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### snfFetch

    void snfFetch()
                  throws SAGApplicationException

  Fetches the file from SnF central server.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### checkSnFStatus

    java.lang.String checkSnFStatus(java.lang.String snfSession)
                                    throws SAGApplicationException

  Checks SnF status for the specified SnF session.

  Parameters:
    `snfSession` - SnF session Id.
  Returns:
    `String` - Returns SnF status.
  Throws:
    `SAGApplicationException` - upon error.

### checkSnFStatus

    java.lang.String checkSnFStatus()
                                    throws SAGApplicationException

  Checks SnF status for the SnF session which is from the last acquire. p
  Parameters:
    None.

  Returns:
    `String` - Returns SnF status.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.